Bug 249817 - Xvnc crashes running Eclipse
Xvnc crashes running Eclipse
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vnc (Show other bugs)
All Linux
low Severity urgent
: ---
: ---
Assigned To: Adam Tkac
Depends On:
  Show dependency treegraph
Reported: 2007-07-27 05:27 EDT by James Blackburn
Modified: 2013-04-30 19:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-30 08:09:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Blackburn 2007-07-27 05:27:44 EDT
Description of problem:
Xvnc crashes when running Eclipse 3.3 on rhel3.  Appears to happen relatively
randomly (usually within the debugging perspective) and is a blocker for us.

Version-Release number of selected component (if applicable):

How reproducible:
Frequent with this version of VNC.

(gdb) bt
#0  fbBlt (srcLine=0x2a980fd2a8, srcStride=778, srcX=16, dstLine=0x2a97ed6058,
    dstStride=0, dstX=0, width=-1743781888, height=13, alu=-1, pm=16, bpp=16,
    reverse=0, upsidedown=-1746052652) at fbblt.c:281
#1  0x0000000000444919 in fbCopyNtoN (pSrcDrawable=0x2a98100000,
    pDstDrawable=0x10, pGC=0x0, pbox=0x7fbfff9e48, nbox=-1, dx=24577, dy=65,
    reverse=0, upsidedown=0, bitplane=0, closure=0x0) at fbcopy.c:60
#2  0x0000000000444f5a in fbCopyRegion (pSrcDrawable=0x2a980bf010,
    pDstDrawable=0x2a97ed2010, pGC=0x1125d00, pDstRegion=0x10, dx=24577,
    dy=-1, copyProc=0x4447c0 <fbCopyNtoN>, bitPlane=0, closure=0x0)
    at fbcopy.c:366
#3  0x000000000044543b in fbDoCopy (pSrcDrawable=0x2a980bf010,
    pDstDrawable=0x2a97ed2010, pGC=0x1125d00, xIn=24577, yIn=65,
    widthSrc=8191, heightSrc=14, xOut=0, yOut=0, copyProc=0, bitPlane=0,
    closure=0x0) at fbcopy.c:558
#4  0x00000000004455ec in fbCopyArea (pSrcDrawable=0x2a98100000,
    pDstDrawable=0x10, pGC=0x0, xIn=16, yIn=0, widthSrc=-1, heightSrc=0,
    xOut=0, yOut=0) at fbcopy.c:596
#5  0x000000000041cfd0 in ProcCopyArea (client=0xa9e130) at dispatch.c:1744
#6  0x000000000041ac2e in Dispatch () at dispatch.c:450
#7  0x00000000004083ce in main (argc=19, argv=0x7fbfffa498, envp=0x0)
    at main.c:435

Core file (46M!) available if needed.
Comment 1 Adam Tkac 2007-07-30 08:09:49 EDT
RHEL 3 is in maintenance stage. We fix only security, critical and performance
bugs only.

Regards, Adam

Note You need to log in before you can comment on or make changes to this bug.